Commit f6e065ce authored by dmazzoni's avatar dmazzoni

Added Cygwin to the list of supported platforms


git-svn-id: https://subversion.assembla.com/svn/portaudio/portaudio/trunk@329 0f58301d-fd10-0410-b4af-bbb618454e57
parent 4144c941
......@@ -1898,9 +1898,18 @@ case "${host_os}" in
DLL_LIBS="-lwinmm";
;;
cygwin* )
OTHER_OBJS="pa_win_wmme/pa_win_wmme.o";
LIBS="-lwinmm -lm";
PADLL="portaudio.dll";
SHARED_FLAGS="-shared -mthreads";
DLL_LIBS="-lwinmm";
;;
*)
echo "$as_me:1903: checking for pthread_create in -lpthread" >&5
echo "$as_me:1912: checking for pthread_create in -lpthread" >&5
echo $ECHO_N "checking for pthread_create in -lpthread... $ECHO_C" >&6
if test "${ac_cv_lib_pthread_pthread_create+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
......@@ -1908,7 +1917,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lpthread $LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line 1911 "configure"
#line 1920 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
......@@ -1927,16 +1936,16 @@ pthread_create ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:1930: \"$ac_link\"") >&5
if { (eval echo "$as_me:1939: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:1933: \$? = $ac_status" >&5
echo "$as_me:1942: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:1936: \"$ac_try\"") >&5
{ (eval echo "$as_me:1945: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:1939: \$? = $ac_status" >&5
echo "$as_me:1948: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_pthread_pthread_create=yes
else
......@@ -1947,7 +1956,7 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:1950: result: $ac_cv_lib_pthread_pthread_create" >&5
echo "$as_me:1959: result: $ac_cv_lib_pthread_pthread_create" >&5
echo "${ECHO_T}$ac_cv_lib_pthread_pthread_create" >&6
if test $ac_cv_lib_pthread_pthread_create = yes; then
cat >>confdefs.h <<EOF
......@@ -1957,7 +1966,7 @@ EOF
LIBS="-lpthread $LIBS"
else
{ { echo "$as_me:1960: error: libpthread not found!" >&5
{ { echo "$as_me:1969: error: libpthread not found!" >&5
echo "$as_me: error: libpthread not found!" >&2;}
{ (exit 1); exit 1; }; }
fi
......@@ -2078,7 +2087,7 @@ rm -f confdef2opt.sed
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
{ echo "$as_me:2081: creating $CONFIG_STATUS" >&5
{ echo "$as_me:2090: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
......@@ -2246,7 +2255,7 @@ cat >>$CONFIG_STATUS <<\EOF
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
{ { echo "$as_me:2249: error: ambiguous option: $1
{ { echo "$as_me:2258: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
......@@ -2265,7 +2274,7 @@ Try \`$0 --help' for more information." >&2;}
ac_need_defaults=false;;
# This is an error.
-*) { { echo "$as_me:2268: error: unrecognized option: $1
-*) { { echo "$as_me:2277: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
......@@ -2301,7 +2310,7 @@ do
case "$ac_config_target" in
# Handling of arguments.
"Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
*) { { echo "$as_me:2304: error: invalid argument: $ac_config_target" >&5
*) { { echo "$as_me:2313: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
......@@ -2520,7 +2529,7 @@ done; }
esac
if test x"$ac_file" != x-; then
{ echo "$as_me:2523: creating $ac_file" >&5
{ echo "$as_me:2532: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
......@@ -2538,7 +2547,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:2541: error: cannot find input file: $f" >&5
test -f "$f" || { { echo "$as_me:2550: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
......@@ -2551,7 +2560,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:2554: error: cannot find input file: $f" >&5
{ { echo "$as_me:2563: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
......
......@@ -49,6 +49,16 @@ case "${host_os}" in
DLL_LIBS="-lwinmm";
;;
cygwin* )
dnl Cygwin configuration
OTHER_OBJS="pa_win_wmme/pa_win_wmme.o";
LIBS="-lwinmm -lm";
PADLL="portaudio.dll";
SHARED_FLAGS="-shared -mthreads";
DLL_LIBS="-lwinmm";
;;
*)
dnl Unix OSS configuration
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment